Subject: Re: [PATCH 1/2] preproc: add support for relative names in included fragments

From: Bob Friesenhahn <[email-masked]>
Date: Thu, 14 Feb 2013 08:53:46 -0600 (CST)

On Thu, 14 Feb 2013, Stefano Lattarini wrote:

> From: Peter Rosin <[email-masked]>
>
> The rationale for this change is that it is annoying to have
> to repeat the directory name when including a Makefile fragment.
> For deep directory structures these repeats can generate a lot
> of bloat.  It also hinders reuse and easy directory restructuring
> if all Makefile fragments have to know exactly where they live.

I was not aware that it is my birthday today but it sure feels like it 
now after reading this email.  Much thanks to Peter and Stefano for 
implementing this.

A substantial blocker for converting large packages to non-recursive 
builds will be eliminated.  Considerable time and electricity will be 
saved.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/